
Foreman - Bug #1512

Cannot give parameter empty value

02/28/2012 08:21 AM - Jan van Eldik

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Setting parameter with "Name=hello", "Value=world" works fine.

Changing the value to an empty string seems to be accepted by

the "Edit" interface, but the YAML does not change, and the

when re-selecting the host, the "Edit" interface presents the

old value "world".

Applies to foreman-0.4.2-0.1.noarch

Related issues:

Is duplicate of Foreman - Feature #215: Allow blank values for parameters Closed 04/16/2010

History

#1 - 02/28/2012 08:37 AM - Ohad Levy

do you want to allow an empty var or are you complaining that by changing to empty var it keeps the old value?

see also #215

#2 - 03/02/2012 10:17 AM - Steve Traylen

To allow an empty var.

This came up where a global variable was set

x='y'

but then it seems not to be possible to subsequently effectively unset the variable in hostgroup or host.

Being able to set

x=''

would do the trick I believe.  So this probably is a duplicate of #215.

Steve and Jan,

#3 - 07/31/2014 06:55 AM - Dominic Cleal

- Related to deleted (Feature #215: Allow blank values for parameters)

#4 - 07/31/2014 06:56 AM - Dominic Cleal

- Is duplicate of Feature #215: Allow blank values for parameters added

#5 - 07/31/2014 06:56 AM - Dominic Cleal

- Description updated

- Status changed from New to Duplicate

#215 does indeed fix this.  At long last.
